<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.njcn.gather.pqdif.mapper.PqPqdifPathMapper">
    <select id="selectPageList" resultType="com.njcn.gather.pqdif.pojo.po.PqPqdifPath">
        select id,
               Name as name,
               File_Path as filePath,
               Record_Count as recordCount,
               Observation_Count as observationCount,
               Sample_Value_Count as sampleValueCount,
               Result as result,
               Msg as msg,
               State as state,
               Create_By as createBy,
               Create_Time as createTime,
               Update_By as updateBy,
               Update_Time as updateTime
        from pq_pqdif_path
        where State = 1
        <if test="name != null and name != ''">
            and Name like concat('%', #{name}, '%')
        </if>
        <if test="result != null">
            and Result = #{result}
        </if>
        order by Update_Time desc, Create_Time desc
    </select>
</mapper>
